marmotta-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Ansell <ansell.pe...@gmail.com>
Subject Re: time to move to Java 8 as a minimum?
Date Wed, 17 Jun 2015 22:52:02 GMT
Hi Sergio,

Sesame is planning on maintaining the 2.8 series for a while after 4.0
is released, to give some period for people to upgrade to Java-8.
However, I am already using Java-8 in my personal projects and it is
really a very useful update IMO.

Cheers,

Peter

On 17 June 2015 at 17:15, Sergio Fernández <wikier@apache.org> wrote:
> Hi,
>
> even if we do not need to do it right now, as many other ASF project I'd
> like to kick off a discussion for thoughts on moving the minimum Java
> requirement for Marmotta to Java 8.  There are a two immediate reasons that
> make this seem wise:
>
> 1) Java 7 EOL and specifically for security fixes
>   https://www.java.com/en/download/faq/java_7.xml
>
> 2) Key dependencies (Sesame, etc) moving to Java 8 soon...
>
> Now, item 1 does not mean we must move our minimum to Java 8 but item
> 2 will do. Java 8 offers some nice language enhancements which could be
> quite useful within the framework.
>
> Thanks
>
> --
> Sergio Fernández
> Partner Technology Manager
> Redlink GmbH
> m: +43 6602747925
> e: sergio.fernandez@redlink.co
> w: http://redlink.co

Mime
View raw message